Skip to navigation

Get user initials image or user signature image

View as Markdown

Retrieves the specified initials image or signature image for the specified user. The image is returned in the same format in which it was uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image.

The userId property specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the account.

The signatureId parameter accepts a signature ID or a signature name. Docusign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example encode “Bob Smith” as “Bob%20Smith”.

Note: Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

imageTypestringRequired

Specificies the type of image. Valid values:

  • stamp_image
  • signature_image
  • initials_image
signatureIdstringRequired
The ID of the account stamp.
userIdstringRequired

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Query parameters

include_chromestringOptional

When true, the chrome (or frame containing the added line and identifier) is included with the signature image.

Response

Successful response.

Errors

400
Bad Request Error